#
# Standard GNU Make non-recursive prologue. Pushes callers $(d) onto a stack,
# for re-entrant Rules.gnu processing.
#
sp		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)


#
# Make sure we have our defaults.
#
include $(d)/mk/Variables.gnu


#
# Include source rules
#
dir	:= $(d)/src
include $(dir)/Rules.gnu


#
# Include public header rules
#
dir	:= $(d)/include
include $(dir)/Rules.gnu


#
# Include regress rules
#
dir	:= $(d)/regress
include $(dir)/Rules.gnu


#
# Standard GNU Make non-recursive epilogue. Restores callers $(d), for
# re-entrant Rules.gnu processing.
#
d	:= $(dirstack_$(sp))
sp	:= $(basename $(sp))

