#
# Standard GNU Make non-recursive prologue. Pushes callers $(d) onto a stack.
#
sp		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)

# Our parent directory
$(d)/..		:= $(subst /$(notdir $(d)-XXXX),,$(d)-XXXX)

INCS_$(d)	:= $(d)/evnet/socket.h $(d)/evnet/lookup.h \
		   $(d)/evnet/bufio.h $(d)/evnet/tls.h $(d)/evnet/thread.h \
		   $(d)/evnet/bufio/drain.h $(d)/evnet/bufio/membuf.h \
		   $(d)/evnet/bufio/pagebuf.h $(d)/evnet/bufio/pipe.h \
		   $(d)/evnet/bufio/socket.h

$(d)/evnet:
	$(MKDIR) -p $@

$(d)/evnet/bufio: | $(d)/evnet
	$(MKDIR) -p $@

$(d)/evnet/socket.h: $($(d)/..)/src/socket.h | $(d)/evnet
	$(INSTALL_DATA) $< $@

$(d)/evnet/lookup.h: $($(d)/..)/src/lookup.h | $(d)/evnet
	$(INSTALL_DATA) $< $@

$(d)/evnet/thread.h: $($(d)/..)/src/thread.h | $(d)/evnet
	$(INSTALL_DATA) $< $@

$(d)/evnet/tls.h: $($(d)/..)/src/tls.h | $(d)/evnet
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio.h: $($(d)/..)/src/bufio.h | $(d)/evnet
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio/drain.h: $($(d)/..)/src/bufio/drain.h | $(d)/evnet/bufio
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio/membuf.h: $($(d)/..)/src/bufio/membuf.h | $(d)/evnet/bufio
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio/pagebuf.h: $($(d)/..)/src/bufio/pagebuf.h | $(d)/evnet/bufio
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio/pipe.h: $($(d)/..)/src/bufio/pipe.h | $(d)/evnet/bufio
	$(INSTALL_DATA) $< $@

$(d)/evnet/bufio/socket.h: $($(d)/..)/src/bufio/socket.h | $(d)/evnet/bufio
	$(INSTALL_DATA) $< $@

all: $(INCS_$(d))

headers: $(INCS_$(d))


.PHONY: $(d)/clean


$(d)/clean:
	rm -f $(INCS_$(@D))

clean: $(d)/clean


#
# Standard GNU Make non-recursive epilogue. Restores callers $(d).
#
d	:= $(dirstack_$(sp))
sp	:= $(basename $(sp))
